package model

type Role struct {
	Name  string  `json:"name" gorm:"primary_key;"`
	Users []*User `json:"users,omitempty" gorm:"many2many:user_roles"`
	// 角色拥有的权限
	Permissions []Permission `json:"permissions,omitempty" gorm:"many2many:role_permissions;"`
}

type Permission struct {
	Name  string `json:"name" gorm:"primary_key"`
	Roles []Role `json:"roles" gorm:"many2many:role_permissions;"`
}
