package model

import (
	"gorm.io/gorm"
)

// Status enum
type TaskStatusEnum int

const (
	TaskStatus_Running = iota
	TaskStatus_OK
	TaskStatus_Failed
	TaskStatus_Dispacthed
	TaskStatus_Waiting
)

type TaskTypeEnum int

const (
	UpgradeKernel = iota
)

type Task struct {
	gorm.Model
	Status TaskStatusEnum `json:"agentStatus"`
	Type   TaskTypeEnum   `json:"type"`
	Args   string         `json:"args"`
	HostIp string         `json:"ip"`
	Host   Host           `json:"host"`
}
