package agentpb

import "myproject/model"

// cmd enums
const (
	UP = iota
	Task
	TaskResult
)

// UPcmdArgs is the arguments for the UP command
type UPcmdArgs struct {
	Status        model.StatusEnum `json:"status"`
	Hostname      string           `json:"hostname"`
	Ip            string           `json:"ip"`
	Series        string           `json:"series"`
	Arch          string           `json:"arch"`
	KernelVersion string           `json:"version"`
}

type TaskCmdArgs struct {
	Task []model.Task `json:"task"`
}

type TaskResultCmdArgs struct {
	Task model.Task `json:"task"`
}
