package main

import (
	"myproject/router"
	"myproject/util"
)

func main() {
	// 初始化数据库连接
	util.InitDatabase()

	// 初始化logrus格式
	util.InitLog()

	go util.AgentRegist()

	// 设置路由并启动服务
	r := router.SetupRouter()
	r.Run(":8080") // 在8080端口启动服务
}
