package util

import (
	"myproject/model"

	"github.com/google/uuid"
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
)

var DB *gorm.DB

func InitDatabase() {
	dsn := "root:111111@tcp(10.8.0.2:3306)/myproject?charset=utf8mb4&parseTime=True&loc=Local"
	db, err := gorm.Open(mysql.Open(dsn), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}
	db.AutoMigrate(&model.Host{}, &model.Permission{}, &model.Role{}, &model.User{}, &model.Task{}, &model.Kernel{})
	DB = db
}

func GenerateToken(username string, password string) string {
	return uuid.New().String()
}
